=== debian/changelog ===
mistral (5.2.2-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/mistral-event-engine.init.in: Update init script template to
    provide mistral-event-engine service rather than mistral-engine
    which conflicted with mistral-engine.init.in (LP: #1757433).
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:22:48 -0400
