=== debian/control ===
Source: mistral
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools (>= 16.0),
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cachetools (>= 1.1.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:3.1.0),
                     python-coverage (>= 4.0),
                     python-croniter (>= 0.3.4),
                     python-designateclient (>= 1.5.0),
                     python-docutils,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.8.0),
                     python-glareclient (>= 0.3.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.14.0),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-jwt (>= 1.0.1),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-magnumclient (>= 2.0.0),
                     python-mistralclient (>= 1:3.1.0),
                     python-mistral-lib (>= 0.2.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-networkx (>= 1.10),
                     python-neutronclient (>= 1:6.3.0),
                     python-nose,
                     python-novaclient (>= 2:9.0.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 1:2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-ironic-inspector-client (>= 1.5.0),
                     python-tackerclient (>= 0.8.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest (>= 1:16.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-troveclient (>= 1:2.2.0),
                     python-unittest2,
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.10.0),
                     python-yaql (>= 1.1.0),
                     python-zake (>= 0.1.6),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/stackforge/mistral
XS-Testsuite: autopkgtest

Package: python-mistral
Section: python
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-aodhclient (>= 0.7.0),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-cachetools (>= 1.1.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:3.1.0),
         python-croniter (>= 0.3.4),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.8.0),
         python-glareclient (>= 0.3.0),
         python-gnocchiclient (>= 2.7.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.14.0),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-jwt (>= 1.0.1),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-magnumclient (>= 2.0.0),
         python-mistralclient (>= 1:3.1.0),
         python-mock (>= 2.0),
         python-muranoclient (>= 0.8.2),
         python-networkx (>= 1.10),
         python-neutronclient (>= 1:6.3.0),
         python-novaclient (>= 2:9.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 1:2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-ironic-inspector-client (>= 1.5.0),
         python-tackerclient (>= 0.8.0),
         python-requests (>= 2.14.2),
         python-senlinclient (>= 1.1.0),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-swiftclient (>= 1:3.2.0),
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.47.0),
         python-troveclient (>= 1:2.2.0),
         python-wsme (>= 0.8),
         python-yaml (>= 3.10.0),
         python-yaql (>= 1.1.0),
         python-zake (>= 0.1.6),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

Package: mistral-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-mistral (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-executor
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: mistral-event-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-api
Architecture: all
Depends: adduser,
         debconf,
         mistral-common (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
