=== debian/changelog ===
mistral (6.0.0-0ubuntu1.1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/mistral-event-engine.init.in: Update init script template to
    provide mistral-event-engine service rather than mistral-engine
    which conflicted with mistral-engine.init.in (LP: #1757433).

  [ Thomas Goirand ]
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Mar 2018 10:12:49 -0400

mistral (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:04:26 -0500

mistral (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:08:45 -0500

mistral (6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 14:08:20 -0500

mistral (6.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:37:13 +0000

mistral (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 13:47:38 -0500
