=== debian/tests/control ===
Tests: python-mistral mistral-daemons
Depends: python-mistral, mistral-common, mistral-engine, mistral-executor,
 mistral-api
Restrictions: needs-root
